Bug 1278976 - F23 live/install from DVD/USB hangs after grub menu on late 2015 iMac
F23 live/install from DVD/USB hangs after grub menu on late 2015 iMac
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 17:06 EST by Andrew Timmes
Modified: 2016-10-31 10:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:59:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
aetimmes: needinfo-


Attachments (Terms of Use)
Console Output with Debugging (7.97 MB, image/jpeg)
2015-11-09 11:36 EST, rmarshall
no flags Details
Console Output with added 'keep' flag (7.23 MB, image/jpeg)
2015-11-09 11:59 EST, rmarshall
no flags Details
no_x2apic_optout_KernelPanicStackTrace (7.39 MB, image/jpeg)
2015-11-09 14:27 EST, Andrew Timmes
no flags Details
intel_iommu=igfx_off KernelPanicStackTrace (7.28 MB, image/jpeg)
2015-11-09 16:18 EST, Andrew Timmes
no flags Details

  None (edit)
Description Andrew Timmes 2015-11-06 17:06:46 EST
Description of problem: F23 live/install hangs after grub menu on late 2015 iMac


Version-Release number of selected component (if applicable):
Fedora-Live-Workstation-x86_64-23-10.iso,
Fedora-Workstation-netinst-x86_64-23.iso


How reproducible: always


Steps to Reproduce:
1. create and insert boot media (DVD/USB) of F23 Workstation live or netinst images listed above
2. boot to Fedora media from boot manager of latest model of 2015 iMac
3. select any option from grub menu

Actual results: screen goes blank, DVD (if used) stops spinning, and nothing else happens until hard power-down


Expected results: initiation of Fedora installer


Additional info: specs of iMac are as follows:
iMac (Retina 5K, 27-inch, Late 2015)
3.2 GHz Intel Core i5
32 GB 1867 MHz DDR3
AMD Radeon R9 M390 2048 MB

I tried adding earlyprintk=efi to the linuxefi grub boot option at the request of Kellin in #fedora, but I didn't get any output.
Comment 1 Peter Robinson 2015-11-06 18:22:02 EST
If it gets to grub possibly a kernel problem either way not a fedora-release problem
Comment 2 Andrew Timmes 2015-11-07 00:25:51 EST
Might be related to https://bugzilla.kernel.org/show_bug.cgi?id=107161. Will check on Monday when I get back to the office.
Comment 3 rmarshall 2015-11-09 11:36 EST
Created attachment 1091860 [details]
Console Output with Debugging

Collaborated with pjones and jforbes - on their suggestion had Andrew try removing rhgb and quiet bits from the boot and add --earlyprintk=efi.

Image attachment shows output; "Console: colour dummy device 80x25" points to an issue with detecting the console.

Next step being taken is adding ,keep to the earlyprintk argument for more information.
Comment 4 rmarshall 2015-11-09 11:59 EST
Created attachment 1091862 [details]
Console Output with added 'keep' flag

Kernel panic after adding the ",keep" option to earlyprintk.  See attachment for stacktrace output after the panic.
Comment 5 Justin M. Forbes 2015-11-09 13:46:59 EST
Does this boot if you pass intremap=no_x2apic_optout to the kernel?
Comment 6 Andrew Timmes 2015-11-09 14:27 EST
Created attachment 1091910 [details]
no_x2apic_optout_KernelPanicStackTrace

kernel parameters: ro rd.live.image earlyprintk=efi,keep intremap=no_x2apic_optout
Comment 7 Andrew Timmes 2015-11-09 14:28:58 EST
See attachment - using new kernel parameters yields kernel panic in similar place within the boot sequence.
Comment 8 Justin M. Forbes 2015-11-09 14:45:36 EST
Thanks, the only other thing to try off the top of my head would be intel_iommu=igfx_off but I do not expect that to make a difference here. I am guessing it is either a bios issue with the new iMac, or perhaps there is something new that we are not properly supporting there. I will do some more digging.
Comment 9 Justin M. Forbes 2015-11-09 14:46:38 EST
Disabling virtualization in the firmware should get you to a booted system in this case, though I don't consider that a real solution.
Comment 10 Andrew Timmes 2015-11-09 16:18 EST
Created attachment 1091962 [details]
intel_iommu=igfx_off KernelPanicStackTrace

kernel parameters: ro rd.live.image earlyprintk=efi,keep intremap=no_x2apic_optout intel_iommu=igfx_off

adding the intel_iommu parameter also yields a kernel panic (attached).

I'm interested in testing your firmware virtualization idea, but I don't how to interact with Mac firmware. If you have any resources for how to do that, I'd certainly take a look.
Comment 11 Justin M. Forbes 2015-11-09 16:34:55 EST
Unfortunately I can't be of much help here, I haven't actually booted a mac system in many years. Passing intel_iommu=off should do the same thing from kernel command line. Very curious though why this imac is misbehaving in this regard.
Comment 12 Andrew Timmes 2016-02-08 15:51:39 EST
Revisited this a week ago and found that intremap=off let the machine boot into Anaconda and install Fedora. Not sure how much of a Good Idea it is, but for the time being, it's a perfectly adequate workaround.
Comment 13 Andrew Timmes 2016-02-08 15:51:54 EST
Revisited this a week ago and found that intremap=off let the machine boot into Anaconda and install Fedora. Not sure how much of a Good Idea it is, but for the time being, it's a perfectly adequate workaround.
Comment 14 Laura Abbott 2016-09-23 15:54:06 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 15 Laura Abbott 2016-10-26 12:59:35 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.